<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>Tracing</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <link rel="icon" type="image/png" href="flexidug.png" />

    <link rel="stylesheet" href="css/font-awesome.min.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="css/style.css">

  </head>
  <body>

    <h1>Tracing</h1>
  

    <script id="entry-template" type="text/x-handlebars">
      <tr id="{{id}}">
        <td>{{date}}</td>
        <td>
            <span class="badge text-bg-primary">{{message_name}}</span>

            {{#if text}}
            <span class="badge text-bg-secondary">&quot;{{text}}&quot;</span>
            {{/if}}

            {{#if command}}
            <span class="badge text-bg-secondary"><i class="fa fa-gear" aria-hidden="true"></i>&nbsp;{{command}}</span>
            {{/if}}

            {{#if zugnummer}}
            <span class="badge text-bg-secondary"><i class="fa fa-train" aria-hidden="true"></i>&nbsp;{{zugnummer}}</span>
            {{/if}}

            {{#if meldestelle}}
            <span class="badge text-bg-secondary"><i class="fa fa-map-marker" aria-hidden="true"></i>&nbsp;{{meldestelle}}</span>
            {{/if}}
        </td>

        <td>
            {{#if audio}}
            <audio controls="" src="/audio/{{audio}}"></audio>
            {{/if}}
        </td>
      </tr>
    </script>

    <div id="protocol"> 
      <table class="table table-striped" id="protocol_table">
        <tr>
          <th>Datum</th>
          <th>Text</th>
          <th>Audio</th>
        </tr>
      </table>
    </div>



    <!-- inserting these scripts at the end to be able to use all the elements in the DOM -->
  	<script src="js/jquery-3.6.3.min.js"></script>
  	<script src="js/moment-2.29.4.min.js"></script>   
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/handlebars@latest/dist/handlebars.js"></script>
  	<script src="js/app.js"></script>

  </body>
</html>